# Function buildGpxWaypoint

- buildGpxWaypoint(doc, lat, lon, ele?, options?): Element

- Builds a GPX waypoint () XML Element.

  #### Parameters

  - doc: Document

    The parent Document.

  - lat: number

    The latitude of the waypoint.

  - lon: number

    The longitude of the waypoint.

  - `Optional` ele: number

    The optional elevation of the waypoint.

  - options: GpxFeatureOptions = {}

    Optional GPX feature properties.

  #### Returns Element

  The XML Element representing the GPX waypoint.